kind: PersistentVolumeClaim
apiVersion: v1
metadata:
  annotations:
    pv.kubernetes.io/bind-completed: 'yes'
    pv.kubernetes.io/bound-by-controller: 'yes'
    volume.beta.kubernetes.io/storage-provisioner: kubernetes.io/aws-ebs
    volume.kubernetes.io/selected-node: ip-10-0-131-97.us-west-1.compute.internal
    volume.kubernetes.io/storage-provisioner: kubernetes.io/aws-ebs
  resourceVersion: '10648096'
  name: storage-workspacec3e9f512eb5b4b03
  uid: c2ee94ed-6eaa-4d00-bd9e-b1b9664614ba
  creationTimestamp: '2022-10-05T21:01:11Z'
  managedFields:
    - manager: devworkspace-controller
      operation: Update
      apiVersion: v1
      time: '2022-10-05T21:01:11Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:ownerReferences':
            .: {}
            'k:{"uid":"c3e9f512-eb5b-4b03-b5fd-6a4d40c07f3c"}': {}
        'f:spec':
          'f:accessModes': {}
          'f:resources':
            'f:requests':
              .: {}
              'f:storage': {}
          'f:volumeMode': {}
    - manager: kube-scheduler
      operation: Update
      apiVersion: v1
      time: '2022-10-05T21:01:22Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:volume.kubernetes.io/selected-node': {}
    - manager: kube-controller-manager
      operation: Update
      apiVersion: v1
      time: '2022-10-05T21:01:28Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:pv.kubernetes.io/bind-completed': {}
            'f:pv.kubernetes.io/bound-by-controller': {}
            'f:volume.beta.kubernetes.io/storage-provisioner': {}
            'f:volume.kubernetes.io/storage-provisioner': {}
        'f:spec':
          'f:volumeName': {}
    - manager: kube-controller-manager
      operation: Update
      apiVersion: v1
      time: '2022-10-05T21:01:28Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:accessModes': {}
          'f:capacity':
            .: {}
            'f:storage': {}
          'f:phase': {}
      subresource: status
  namespace: admin-devspaces
  ownerReferences:
    - apiVersion: workspace.devfile.io/v1alpha2
      kind: DevWorkspace
      name: quarkus-quickstart
      uid: c3e9f512-eb5b-4b03-b5fd-6a4d40c07f3c
      controller: true
      blockOwnerDeletion: true
  finalizers:
    - kubernetes.io/pvc-protection
spec:
  accessModes:
    - ReadWriteOnce
  resources:
    requests:
      storage: 5Gi
  volumeName: pvc-c2ee94ed-6eaa-4d00-bd9e-b1b9664614ba
  storageClassName: gp2
  volumeMode: Filesystem
status:
  phase: Bound
  accessModes:
    - ReadWriteOnce
  capacity:
    storage: 5Gi
